Subject: Re: linux-next: missing merge fix for the access_once tree

From: Christian Borntraeger <[email-masked]>
Date: Sun, 28 Dec 2014 09:38:55 +0100

Am 23.12.2014 um 07:34 schrieb Stephen Rothwell:
> Hi Linus,
> 
> On Mon, 22 Dec 2014 20:12:22 -0800 Linus Torvalds <[email-masked]> wrote:
>>
>> On Mon, Dec 22, 2014 at 6:17 PM, Stephen Rothwell <[email-masked]> wrote:
>>>
>>> I have been carrying this merge fix patch for some time.  It should
>>> have gone into the merge of the access_once tree.
>>
>> No, you had a different tree that got merged into linux-next, that
>> made it an error to do ACCESS_ONCE() on a structure.
>>
>> The thing I merged didn't actually have that final commit, exactly so
>> that things wouldn't break from missing conversions.
>>
>> So that patch isn't wrong, but it also isn't exactly a required fix
>> until the next merge window..
> 
> True, so "should" was a bit strong.
> 

I will re-add this up soon for my linux-next branch. 
There are some additional places which need to be changed, so give me some more days during the holidays

Christian